#ifndef CONFIG_H
#define CONFIG_H

/**
 * @file Config.h
 * @brief Configuration accessor methods and file parser
 */
/** 
 * @defgroup config Configuration
 * @{
 */

/**
 * @param filename configuration file
 * @param config_keys ???verify list of name/value pairs???
 * @retval 0 on success
 * @retval -1 on error
 */
int config_init(const char *filename, const char **config_keys);
/** cleanup internal datastructures */
void config_destroy();

char *config_vlist_value(const char *section, const char *var, int i);
/** 
 * @param section section we are interested in
 * @param var variable we are interested in
 * @return the value of a variable in a given section
 */
char *config_value(const char *section, const char *var);
/** 
 * @param section section we are interested in
 * @param var variable we are interested in
 * @return the value of a variable in a given section as a int
 */

int config_int_value(const char *section, const char *var);
/** 
 * @param section section we are interested in
 * @param var variable we are interested in
 * @retval 0  false
 * @retval 1  true
 */


int config_truth_value(const char *section, const char *var);

/** @} */
#endif
