#ifndef DIRENTRY_H
#define DIRENTRY_H

/** 
 * @file DirEntry.h
 * @brief Abstract directory listing structure
 */
#include <machdep.h>

#include "global.h"

typedef enum {
        ENTRY_FILE, /**< FILE entry type */
        ENTRY_DIR  /**< directory entry type */
} DirEntryType;

struct DirEntry {
    /** Entry type, one of ENTRY_FILE or ENTRY_DIR */ 
        DirEntryType type; 
                
        /** Year component of timestamp */
        unsigned ts_year;

        /** Number of seconds since year component in timestamp */
        unsigned ts_ysec;

        /** Entry name */
        char name[PDTP_PATH_MAX];

        /** Length of file in bytes, 0 for subdirectories */
        uint64_t length;
};

int direntry_get(const char *path, struct DirEntry *entry);

#endif /* DIRENTRY_H */
