#ifndef MD5_H
#define MD5_H

/**
 * @file MD5.h
 * @brief MD5 message-digest algorithm
 */

/**
 * @defgroup MD5 MD5
 * @ingroup hasher
 * @{
 */

/** MD5 data type */
typedef struct _MD5 *MD5;

/** create the MD5 structure */
MD5 md5_create();
/** destroy the MD5 structure */
void md5_destroy(MD5);
/**
 * Start MD5 accumulation.  Set bit count to 0 and buffer to mysterious 
 * initialization constants.
 */ 
void md5_zero(MD5);

/**
 * Update context to reflect the concatenation of another buffer full
 * of bytes.
 */
void md5_add_data(MD5, void *buf, unsigned len);

/**
 * Get the actual digest
 */
void md5_get_digest(MD5, unsigned char digest[16]);

/** @} */
#endif
