#ifndef MSGQUEUE_H
#define MSGQUEUE_H

#include "msgval.h"
/**
 * @file MsgQueue.h
 * @brief Lightweight interthread message queues
 */

/**
 * @defgroup msgQueue lightweight interthread message queues
 * @{
 */
 /** message queue data type */
typedef struct _MsgQueue *MsgQueue;

/** create the message queue */
MsgQueue msgqueue_create();
/** destroy the message queue */
void msgqueue_destroy(MsgQueue);

/** Add the given msgval to the queue */
void msgqueue_send(MsgQueue, msgval *);

/** Receive the given msgval from the queue */
void msgqueue_recv(MsgQueue, msgval *);

/** @} */
#endif
