#ifndef RNG_H
#define RNG_H

/**
 * @file RNG.h
 * @brief Random number generation routines
 */

/** 
 * @defgroup rng Random number generation
 * @{
 */
/** Initialize random number generator */
void rng_init();

/** Shut down random number generator */
void rng_destroy();

/** Generate a random buffer of the given length */
void rng_randbuf(void *buffer, unsigned len);

/** @} */
#endif
