#ifndef STACK_H
#define STACK_H
/**
 * @file Stack.h
 * @brief A simple linked list-based stack implementation
 */

/** 
 * @defgroup stack Stack
 * @{
 */
/** Data type abstraction for Stack*/
typedef struct _Stack *Stack;

/** Constructor */
Stack stack_create(void);
/** Destructor */
void stack_destroy(Stack);

/* Associated operations */
/** push the top value onto the stack */
void stack_push(Stack, void *data);
/** pop the top value off the stack */
void *stack_pop(Stack);
/** have a look at the top of the stack (without popping it off) */
void *stack_peek(Stack);
/** size of the stack */
int stack_size(Stack);

/** @} */
#endif
