#ifndef WORKER_H
#define WORKER_H

/**
 * @file Worker.h
 * @brief Worker thread implementation
 */
/**
 * @defgroup worker Worker thread
 * @{
 */

/** Worker data type */
typedef struct _Worker *Worker;

#include "ExecQueue.h"
#include "msgval.h"

/** Create a worker thread, with it's exectution queue @see execqueue */
Worker worker_create();
/** destroy a worker thread, terminating its execqueue  */
void worker_destroy(Worker t);

/** Execute the given function on a given worker thread */
void worker_exec(Worker worker, void (*function)(msgval *), msgval *arg);

/** @} */
#endif
