#ifndef UTIL_H
#define UTIL_H

#include <machdep.h>

/**
 * @file util.h
 * @brief Miscellaneous utility functions
 */

/**
 * @defgroup misc misc
 * @{
 */
struct systime {
	int year;
	int month;
	int day;
	int hour;
	int minute;
	int second;
};

char *xinet_ntoa(uint32_t addr);
void add_trailing_slash(char **path);
void get_systime(struct systime *st);
void sleepsec(unsigned seconds);
void safecpy(char *dest, const char *src, unsigned length);
char *safecat(char *dest, unsigned length, ...);

/** @} */
#endif /* UTIL_H */
