#ifndef XMALLOC_H
#define XMALLOC_H
/**
 * @file xmalloc.h
 * @brief Memory allocator/deallocator function wrappers
 */

/**
 * @defgroup memalloc memory allocation/deallocator
 * @{
 */

#include <machdep.h>

#include <sys/types.h>
#include <stdlib.h>
#include <stdarg.h>

#define NEW(type)		(type)xmalloc(sizeof(struct _##type))
#define NEWV(type, size)	(type)xmalloc(sizeof(struct _##type) * (size))

void *xmalloc(size_t size);
#ifdef WIN32
#define xfree(ptr)	HeapFree(GetProcessHeap(), 0, ptr)
#else
#define xfree(ptr)	free(ptr)
#endif

void *xrealloc(void *ptr, size_t size);
char *xstrdup(const char *str);
char *xvasprintf(const char *format, va_list ap);
char *xasprintf(const char *format, ...);

/** @} */
#endif
