#!/bin/sh

# Use GCC on platforms that ship with it standard
case `uname` in
Darwin)
	# MacOS X's headers don't like -ansi -pedantic
	CC=gcc
	CFLAGS="-D_REENTRANT -D_THREAD_SAFE -g -O3 -Wall"
;;
FreeBSD|OpenBSD|NetBSD)
        CC=gcc
        CFLAGS="-D_REENTRANT -D_THREAD_SAFE -ansi -pedantic -g -O3 -Wall"
;;
Linux)
	CC=gcc
	CFLAGS="-D_GNU_SOURCE -ansi -pedantic -g -O3 -Wall"
;;
SunOS)
	# Try 'cc' first, then fall back on 'gcc'
	if [ -x `which cc` ]; then
		CC=cc
	else
		CC=gcc
	fi
	
	CFLAGS="-D_REENTRANT -D_POSIX_PTHREAD_SEMANTICS"
;;
*)
	# Try 'cc' first, then fall back on 'gcc'
	if [ -x `which cc` ]; then 
		CC=cc
	else
		CC=gcc
	fi

	CFLAGS=
;;	
esac	

if [ ! -x `which $CC` ]; then
	printf "error: Couldn't find '$CC'"
	exit 1
fi

# Append extra compile arguments generated by ./configure
CFLAGS="$CFLAGS $@"

printf "using: $CC $CFLAGS\n"

( printf "#!/bin/sh\n"; \
  printf "exec $CC $CFLAGS \${1+\"\$@\"}\n" \
) > compile

chmod +x compile
exit 0

printf "error: Couldn't find '$CC'"
exit 1
