/**
  @file Client.c 
  @brief Structure for storing client metadata
*/
/*
   Copyright (C)2003-04 Anthony Arcieri 
   All rights reserved.

   For licensing information, please see the file LICENSE 
*/

#include <machdep.h>

/* Common headers */
#include <socketops.h>
#include <xmalloc.h>

/* Local headers */
#include "Client.h"

struct _Client {
	int sock;
	uint32_t addr;
};

Client client_create(int sock, uint32_t addr)
{
	Client client = NEW(Client);

	client->sock = sock;
	client->addr = addr;

	return client;
}

void client_destroy(Client client)
{
	socket_close(client->sock);
	xfree(client);
}

int client_sock(Client client)
{
	return client->sock;
}

uint32_t client_addr(Client client)
{
	return client->addr;
}
