#ifndef TRANSFERMANAGER_H
#define TRANSFERMANAGER_H

/**
 * @file TransferManager.h
 * @brief State machine for all file transfers
 */

#include <machdep.h>

#include "PieceSet.h"

void xfermgr_init(void);
void xfermgr_reinit(void);
void xfermgr_destroy(void);

void xfermgr_add_file(uint32_t handle, const char *path, uint32_t piece_count);
void xfermgr_remove_file(uint32_t handle);

int xfermgr_resolve_path(const char *path, uint32_t *handle);
int xfermgr_get_piece_count(uint32_t handle, uint32_t *count);

void xfermgr_add_transfer(int uid, uint32_t file_handle, PieceSet remaining_pieces);
void xfermgr_remove_transfer(int uid, uint32_t file_handle);
	
#endif /* TRANSFERMANAGER_H */
