#ifndef FILEENTRY_H
#define FILEENTRY_H

#include <machdep.h>

#include "FileHashes.h"

typedef struct _FileEntry *FileEntry;

FileEntry fileentry_create(const char *path, uint32_t handle);
FileEntry fileentry_copy(FileEntry);
void fileentry_destroy(FileEntry);

/* Get methods */
char *fileentry_get_path(FileEntry);
uint32_t fileentry_get_handle(FileEntry);
uint64_t fileentry_get_length(FileEntry);
FileHashes fileentry_get_hashes(FileEntry);

/* Set methods */
void fileentry_set_hashes(FileEntry, FileHashes);

#endif /* FILEENTRY_H */
