#ifndef FILEHASHES_H
#define FILEHASHES_H

#include <machdep.h>

#include <Hasher.h>
#include <Transaction.h>

typedef struct _FileHashes *FileHashes;

FileHashes filehashes_create(HashAlgorithm cipher, unsigned piece_length, void *hashlist, unsigned length);
FileHashes filehashes_copy(FileHashes);
void filehashes_destroy(FileHashes);

uint32_t filehashes_get_piece_length(FileHashes);
uint32_t filehashes_get_piece_count(FileHashes);
void filehashes_add_to_transaction(TransactionOut, FileHashes);

#endif
