/**
  @file Server.c 
  @brief Structure for storing server data
*/
/*
   Copyright (C)2003-04 Anthony Arcieri 
   All rights reserved.

   For licensing information, please see the file LICENSE 
*/

#include <machdep.h>

/* Common headers */
#include <socketops.h>
#include <xmalloc.h>

/* Local headers */
#include "Server.h"

struct _Server {
	int sock;
	uint32_t addr;
};

Server server_create(int sock, uint32_t addr)
{
	Server server = NEW(Server);

	server->sock = sock;
	server->addr = addr;

	return server;
}

void server_destroy(Server server)
{
	socket_close(server->sock);
	xfree(server);
}

int server_sock(Server server)
{
	return server->sock;
}

uint32_t server_addr(Server server)
{
	return server->addr;
}
