#ifndef VFSMONITOR_H
#define VFSMONITOR_H

/** 
 * @file VFSMonitor.h
 * @brief Abstract VFS monitoring interface
 */
#include "DirList.h"

void vfsmonitor_init(void);
void vfsmonitor_destroy(void);

/** Translate a host path to a PDTP path */
char *vfsmonitor_hton_path(const char *path);

/** Translate a PDTP path to a host native path */
char *vfsmonitor_ntoh_path(const char *path);

/** Read a listing for a host native directory from the VFS monitor */
DirList vfsmonitor_read_dirlist(const char *path);

#endif /* DIRLIST_H */
